Subject: [alpine-devel] Re: php7 in alpine

From: Valery Kartel <[email-masked]>
Date: Mon, 4 Apr 2016 10:00:52 +0300

> I don't like:
> +               elo=$(echo $2 | wc -w | awk '{printf "%02d", $1}')

 Think it easier not to count number of dependencies and just set elo to 01
if any dependency exists.

+               elo=01

2016-04-04 8:35 GMT+03:00 Timo Teras <[email-masked]>:

> On Mon, 4 Apr 2016 00:31:32 +0300
> Valery Kartel <[email-masked]> wrote:
>
> > And about extension loading order. I know how it done in FreeBSD -
> > it's like a shuffle a deck of cards in one ini file. In other distros
> > its resolved by renaming of ini files to make right alphabetical
> > loading order ... and in alpine too (main/php - wddx extension). I
> > introduced clean and simple workaround to solve loading order for
> > bundled extensions and for 3rd party extensions. If anybody made it
> > simpler, it would be great because I don't like any leading numbers
> > in ini filenames but I see it's the only way to solve it.
>
> I don't like:
> +               elo=$(echo $2 | wc -w | awk '{printf "%02d", $1}')
>
> That requires multiple forks to get a simple number, and which is
> called multiple times.
>
> Alternatives:
>
> 1) Add global counter that is used as the prefix. Increment it
>    every time _mv_ext is called. Order the split functions in
>    dependency order (not alphabetical like currently).
>
> 2) Add parameter to _mv_ext that specifies the prefix, and manually add
>    it to all _mv_ext calls.
>
> 3) Copy what the main/php package does - make session extension static,
>    and special case wddx (xml_ prefix), and opcache (use zend_extensions
>    directive).
>
> Any other ideas?
>